import { MPDProtocol } from '../protocol';
import { Mount, Neighbor } from '../objects/mount';
export declare class MountCommands {
    private protocol;
    constructor(protocol: MPDProtocol);
    /**
     * Mount the specified remote storage `uri` at the given `path`.
     */
    mount(path: string, uri: string): Promise<void>;
    /**
     * Unmounts the specified `path`.
     */
    unmount(path: string): Promise<void>;
    /**
     * Queries a list of all mounts. By default, this contains just the configured `music_directory`.
     */
    listMounts(): Promise<Mount[]>;
    /**
     * Queries a list of "neighbors" (e.g. accessible file servers on the local net).
     * Items on that list may be used with `mount()`.
     */
    listNeighbors(): Promise<Neighbor[]>;
}
